Bug 9674 - Replace YUI buttons and menu on acquisitions pages with Bootstrap
Summary: Replace YUI buttons and menu on acquisitions pages with Bootstrap
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Target Milestone: ---
Assignee: Owen Leonard
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-20 17:58 UTC by Owen Leonard
Modified: 2014-05-26 21:04 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 9674 - Replace YUI buttons and menu on acquisitions pages with Bootstrap (5.26 KB, patch)
2013-02-22 20:05 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9674 - Replace YUI buttons and menu on acquisitions pages with Bootstrap (5.40 KB, patch)
2013-02-22 20:22 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
[PASSED QA] Bug 9674 - Replace YUI buttons and menu on acquisitions pages with Bootstrap (5.49 KB, patch)
2013-03-02 17:09 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2013-02-20 17:58:51 UTC
The toolbar include file (acquisitions-toolbar.inc) used on several acquisitions pages (supplier.pl, booksellers.pl, etc.) uses YUI for buttons and button menus. It should use Bootstrap instead.
Comment 1 Owen Leonard 2013-02-22 20:05:53 UTC Comment hidden (obsolete)
Comment 2 Bernardo Gonzalez Kriegel 2013-02-22 20:22:15 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2013-03-02 17:09:47 UTC
Created attachment 15827 [details] [review]
[PASSED QA] Bug 9674 - Replace YUI buttons and menu on acquisitions pages with Bootstrap

This patch converts the toolbar on acquisitions pages to Bootstrap,
replacing YUI button code with Bootstrap markup.

To test, view acquisitions pages and confirm that buttons look correct
and work correctly:

- acqui-home.pl (Acquisitions home page)
- booksellers.pl (Acquisitions -> Vendor search)
- supplier.pl (Acquisitions -> Vendor search -> Vendor)
- aqcontract.pl (Acquisitions -> Vendor search -> Vendor -> Contracts)
- uncertainprice.pl (Aquisitions -> Vendor search -> Vendor -> Uncertain
  prices)

View these pages for vendors with and without orders.

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>

Comment: Buttons works. No errors.
Tested vendors with and without orders (delete button in last case)

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Works nicely, changes are consistent.
Comment 4 Jared Camins-Esakov 2013-03-02 17:22:20 UTC
This patch has been pushed to master.
Comment 5 Jared Camins-Esakov 2013-03-02 17:23:26 UTC
I look forward to another follow-up that adds Bootstrap on the basket groups page.